Date: 2025/11/10
Version: 2.10

# 機能追加
- [Ctrl + 0]ホットキーにClickerAceの操作プラン編集画面の左右比を初期比率へ戻す機能を追加。
- [F2]ホットキーにグループ編集機能を追加。
- ※[ログ設定]プラグインを追加。
- ※[ログ出力]プラグインを追加。

# 機能修正
- ClickerAceウィンドウサイズが小さくなりすぎないよう修正。
- ClickerAceのウィンドウサイズおよび操作プラン編集画面の左右比を前回終了時の状態に復旧するよう修正。
- 各種ダイアログをESC（エスケープ）キーで終了できるよう修正。
- 操作のダブルクリックによる編集画面を表示する機能にて、空白部分もクリック範囲に含めるよう修正。
- 確認等の汎用ダイアログで最も左に表示されているボタンを初期選択としEnterキーで選択できるよう修正（削除確認など一部例外あり）。
- グループ編集ダイアログで表示名称が初期選択されるよう修正。
- グループ編集ダイアログで表示名称の選択中にAlt + Enterで[OK]ボタン動作が行われるよう修正。
- 操作の編集機能をF4／Alt + Enterに加えてEnterキーでも作動するよう修正。
- [ループ]で変数が1つも設定されていなくとも変数設定を行えるよう修正。（外部プラン実行で設定した変数を利用可能とするため）
- ※[メール送信]でメールサーバ設定にテキスト入力できるよう修正。（外部プラン実行で設定した変数を利用可能とするため）
- ※[メール送信]で送信先にテキスト入力できるよう修正。（外部プラン実行で設定した変数を利用可能とするため）

# 不具合修正
- 既に開いている操作プランファイルを再度開いた場合に、[開く]などのメニューなどが多重で実行される状態となる問題を修正。
- 不具合があるプラグインなどを読み込んだ際に、稀にClickerAceが起動できなくなる問題を修正。
- [外部プラン実行]でメモリ使用量が増え続けてしまう問題を修正。
- ※[サービス]でプロセスが再起動された際に停止時間を初期化しない動作を修正。
- ※サービス登録画面で登録済みサービスを再実行に設定し、再度編集画面を開くと異常終了してしまう問題を修正。
- ※[ODBC接続設定]、[データ出力]、[クエリ実行]でメモリが解放されにくい状況が作られる問題を修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2025/04/04
Version: 2.9

# 機能追加
- ※Windowsサービス登録機能対応。
- ※有償サポート時のみ、[ループ]プラグインでフォルダ指定を行いファイル名毎にループする機能を追加。
- ※[データ出力]プラグインでCSV出力機能を追加。
- ホットキー(キーボードショートカット)機能の調整および公開、機能一覧はマニュアルをご参照ください。
- [変数作成]一括作成で他変数の使用や現在日時を変数登録できる機能を追加。(これに伴いUIを修正)

# 機能修正
- ※[テキスト変換]検索するテキストの部分を削除できるよう、置き換えるテキストを空欄にできるよう修正。

# 不具合修正
- [外部プラン実行]で失敗しても操作を続けるを選択時に、特定の条件で操作を続けられなくなる問題を修正。
- ループなどのグループプラグインで中の処理でエラーが発生した際に正しく終了処理が行われない問題を修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2024/12/09
Version: 2.8

# 機能追加
- 無償版利用時、リボンメニューに拡張機能のお試しリンクボタンを追加。
- 各種プラグインの編集画面にヘルプボタンを追加。
- ※有償サポート時のみ、[ループ]プラグインでファイル読み込みを行い行毎にループする機能を追加。

# 機能修正
- ダウンロード後、Windowsのファイルブロックを解除せずとも利用可能となるよう修正。
- [ループ]でループカウンタを変数に登録する際、[0]から始まっていた数字を[1]から始まるよう修正。

# 不具合修正
- [条件分岐]プラグインの画像差分分岐時に完全一致、完全不一致条件の一部で正しく動作しない問題を修正。
- [外部プラン実行]のプラン選択ダイアログタイトルを修正。
- [変数作成]プラグインの画像キャプチャを連続で大量実行した際にメモリ使用量が一時的に増大してしまう問題を修正。
- ※[メールサーバ設定]特定の条件でGoogle OAuth2認証が使用出来なくなっていた問題を修正。
- ※[画像認識]プラグインの「検知まで一時停止」項目で、検索期限を有期限としても再度編集画面を開くと無制限と表示されていた問題を修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2024/07/22
Version: 2.7

# 機能追加
- 操作グループのタイトル、アイコンを変更する機能を追加。
- [変数作成]プラグインで固定値の変数を一括作成する機能を追加。
- [変数作成]プラグインでウィンドウ、ディスプレイの画像キャプチャを取得する機能を追加。
- [条件分岐]プラグインで画像の差分による分岐機能を追加。
- [ループ]プラグインでループカウンタを変数登録する機能を追加。
- ※[テキスト変換]プラグインを追加。
- ※[計算]プラグインを追加。

# 機能修正
- 変数を作成可能な各種プラグインで名前にいくつかの文字を使用できないよう修正。
- 操作フロー(画面左側)、リスト(画面右側)で未選択状態でも右クリックメニューを使用出来るよう修正。
- [条件分岐]プラグインで未登録変数名を使用出来るように修正。
- ※[画像認識]プラグインで再生時の安定性を向上。
- ※[画像認識]プラグインで画像の範囲外をクリック対象とできるよう修正。
- ※[ループ]プラグインで未登録変数名を使用出来るように修正。

# 不具合修正
- [外部プラン実行]プラグインでメモリ使用量が増加していた問題を修正。
- 操作の追加で１件も登録されていない操作リストに追加した際に発生していた問題を修正。
- 操作のコピー／貼り付けで１件も登録されていない操作リストに貼り付けした際に発生していた問題を修正。
- [条件分岐]プラグインで条件を満たさない場合の遷移先矢印が重なり判別しにくい問題を修正。
- [一時停止]時間設定の動作不良を修正。
- [一時停止EX]時間設定の動作不良を修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2024/02/09
Version: 2.6

有償サポート拡張機能をお試しでご利用いただけるライセンス発行を行えるようになりました。
https://www.clickerace.com/ の[サポート・製品購入]よりご発行ください。

# 機能追加
- 操作のコピー、切り取り、貼り付け機能を追加。
- [速度設定]にマウス移動速度を追加。（従来の機能は「待機時間の短縮」）
- [外部プラン実行]プラグインを追加。
- ※[画像認識]操作の設定に「検知まで一時停止」を追加。
- ※[一時停止DX(旧：一時停止)]プラグインに一定時間、メール受信を追加。（従来機能は指定日時として機能修正）
- ※[テキスト入力]プラグインに入力方式選択機能を追加。

# 機能修正
- [ループ]を[操作の追加]画面より削除。（右クリックメニューは変更なし）
- 操作の追加時に表示されるプラグイン選択画面のサイズを変更。
- [記録]記録中に操作するアプリケーションが代わった場合グループを新しく作成するよう修正。
- [条件分岐]レイアウトを修正。
- [条件分岐]プラグインの比較する値に空白を設定できるよう修正。
- [待機時間]プラグインを[一時停止]に名称変更。
- [アプリケーション起動]プラグインの引数に変数入力機能に対応。
- ※[メール送信]添付ファイルにクリップボードを選択した場合の動作でファイル、フォルダ指定に対応。
- ※[メール送信]入力項目の「内容」を「本文」に文言変更。

# 不具合修正
- [操作プラン情報]の上に操作を追加できていた一部の動作を修正。
- [変数作成]の再生時、クリップボードの値取得に失敗した場合にリトライを行うよう修正。
- [再生]時、現在実行中の操作が正しく確認出来なかった問題を修正。
- ※[テキスト入力]プラグインで一部の文字が正しく入力されない問題を修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2023/11/14
Version: 2.5

# 機能追加
- 変数入力機能を新たに追加。
- ※[一時停止]プラグインを追加。

# 機能修正
- 操作プランの再生中に同じボタンで再生の停止を行えるよう修正。
- [速度変更]機能を10倍速まで対応。
- [条件分岐]プラグインで[一致する]、[一致しない]条件の表記を[YES]、[NO]に修正。
- [条件分岐]プラグインで一部レイアウトを修正。
- ※[テキスト入力]プラグインを変数入力機能に対応しました。
- ※[メール送信]プラグインを変数入力機能に対応しました。
- ※[データ出力]プラグインを変数入力機能に対応しました。
- ※[クエリ実行]プラグインを変数入力機能に対応しました。

# 不具合修正
- 操作プランの再生中に操作の追加、編集などの各種操作を行えた不具合を修正。
- 操作プランの記録中に[やりなおし]、[元に戻す]操作が行えた不具合を修正。
- 操作プランの再生中に[記録]操作が行えた不具合を修正。
- 操作プランの[記録]、[再生]中にマウス操作による操作の移動が行えた不具合を修正。
- [条件分岐]プラグイン[ループの開始]などの開始終了操作を選択された場合に操作プランの保存ができなくなる問題を修正。
- ※[メール送信]でメールサーバ未設定時に正しいエラーメッセージが表示されない不具合を修正。
- ※[ODBC接続設定]変数名の重複チェックが正しく動作していなかった不具合を修正。
- ※[ODBC接続設定]ODBC設定を開くを使用した際、プルダウンが常に最前面に出続ける不具合を修正。
- ※[画像認識]操作の再生中にESCキーでキャンセルできない不具合を修正。
- ※[アプリケーション起動]まれに処理が終了しない場合があった不具合を修正。
- ※[テキスト入力]で入力処理後に少し待機し入力完了まで待つよう修正。
- ※[データ出力]、[クエリ実行]プラグインで待機時間の無制限が正しく動作していなかった問題を修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2023/08/24
Version: 2.4

# 機能追加
- 操作の[グループ内に追加]機能を追加。
- ※[ODBC接続設定]プラグインを追加。
- ※[データ検索]プラグインを追加。
- ※[クエリ実行]プラグインを追加。

# 機能修正
- 全体的なレイアウトデザインの刷新を実施。
- 単一の操作のみが含まれる場合に操作フロー(画面左部)から編集画面が開けるよう修正。
- [ループ]を[操作の追加]機能から追加できるよう修正。
- [操作追加]ダイアログの操作選択をダブルクリックで行えるよう修正。
- [操作追加]ダイアログで操作編集中にキャンセルした場合[操作追加]ダイアログを閉じないよう修正。

# 不具合修正
- 動作に影響しない軽微な不具合を修正。
- 高DPIモニターを使用した場合に正しいダイアログサイズで表示されない不具合を修正。
- 操作記録時に待機時間を実際よりも多く割り当ててしまっていた不具合を修正。
- [待機時間]プラグインで再生を停止した場合、即時停止されなかった不具合を修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2023/06/05
Version: 2.3

# 機能追加
- ※[メール送信]ファイル添付機能を追加。

# 機能修正
- 操作追加時、プラグインをグループ分けするようレイアウト修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2023/04/26
Version: 2.2

# 機能追加
- [記録]Escキーを２回押すことで記録を停止できる機能を追加。

# 機能修正
- [条件分岐]画像認識結果で分岐させる際に不一致の場合も分岐しやすいよう修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2023/04/05
Version: 2.1(Release.2)

# 不具合修正
- マウス操作などのビルトインプラグインで編集画面が表示できない問題を修正。

------------------------------------------------------------------------
Date: 2023/03/31
Version: 2.1

# 機能修正
- ※[メールサーバ設定]プラグインでGoogle OAuth2認証のボタンおよび説明を修正。
- プライバシーポリシーを改訂。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2023/03/13
Version: 2.0

# 機能追加
- [条件分岐]プラグインを追加。
- ※[テキスト入力]プラグインを追加。
- ※[画像認識]プラグインを追加。
- ※[メールサーバ設定]プラグインを追加。
- ※[メール送信]プラグインを追加。

# 機能修正
- [マウス操作]プラグインでスクリーンショットのファイル参照項目を削除。
- [マウス操作]プラグインの位置選択方法に画像認識で検出された座標変数を使用出来るよう修正。
- [ヘルプ]ClickerAce Webサイトのよくあるご質問へリンク先を変更。

# 不具合修正
- 操作プラン画面でシフトキーを使用した複数選択が正しく動作していなかった問題を修正。
- [変数作成]プラグインで同名の変数を複数作成した場合に選択候補も複数出てしまう問題を修正。
- [マウス操作]プラグインのスクリーンショットを撮影する機能で特定の条件で正しく撮影されない問題を修正。

※ 有償サポート用機能拡張プラグイン

------------------------------------------------------------------------
Date: 2022/05/27
Version: 1.8

# 機能追加
- [変数作成]機能を追加。
- [変数作成]プラグインを追加。
- [ループ]プラグインでループ回数に変数を使用出来る機能を追加。

# 機能修正
- 操作プラン情報を削除出来ないよう修正。

# 不具合修正
- 操作の編集時、ダイアログのタイトルにプラグイン名が表示されていなかった問題を修正。

------------------------------------------------------------------------
Date: 2022/04/15
Version: 1.7

# 仕様変更
- システム要件を Windows10 バージョン1903(May 2019 Update) 以降に変更。

# 機能追加
- [速度変更]機能を追加。
- [待機時間]プラグインを追加。

# 機能修正
- [名前を付けて保存]を行う際に操作プランファイルのあるフォルダが初期表示されるよう修正。
- 操作プラン情報から[開始アプリケーション]を削除。
- 操作プラン情報を新規プラン作成時に生成するよう修正。

# 不具合修正
- [アプリケーション選択]プラグインの一部条件で正しくアプリケーションが選択されない問題を修正。
- 操作フローを全選択した際にエラーが発生していた問題を修正。
- インストールされていないアプリケーションが含まれた操作プランファイルを開いた際にエラーが発生する問題を修正。
- [ループの開始/終了]でテスト開始/終了点を設定しても正しく停止されない問題を修正。
- [元に戻す]、[やり直し]操作時に特定の条件でプログラムが停止してしまう問題を修正。
- [元に戻す]、[やり直し]操作時に特定の条件で操作フロー図が崩れてしまう問題を修正。

------------------------------------------------------------------------
Date: 2021/09/16
Version: 1.6

# 機能追加
- ドラッグアンドドロップによる操作の移動機能を追加。
- コマンドプロンプトからの操作プラン実行機能を追加。

# 機能修正
- 操作が未選択の状態で一番下に追加が行えるよう修正。
- 操作追加ボタンからループ操作を削除。

# 不具合修正
- 操作が未選択の状態でも上下へ操作追加が選択できる問題を修正。
- 記録時に選択した操作から追加がされず常に操作プランの一番下から追加される問題を修正。
- ループ回数に0回を指定していた場合でも必ず１度は実行されてしまう問題を修正。
- ループ内に操作が何もなかった場合にエラー停止してしまう問題を修正。
- 端末の応答速度によって操作の再生時に一番最後の操作が動作しない事があった問題を修正。
- ループを選択し[上に追加]、[下に追加]で操作を追加した場合に表示がおかしくなる問題を修正。
- 操作プランの変更中に操作プランを閉じる際、確認ダイアログの×ボタンを押した場合も閉じてしまう問題を修正。

------------------------------------------------------------------------
Date: 2021/06/21
Version: 1.5

# 機能追加
- ループ処理プラグインを追加。
- 操作フローからの操作追加に対応。

# 機能修正
- 複数の操作を選択したコンテキスト(右クリック)メニュー操作に対応。
- 操作フロー図の矢印の色を変更。
- 開始点終了点が操作フロー上で見難かった為、表示アイコンを変更。
- マウス及びキーボード入力プラグインで待機時間の入力方法を変更。

# 不具合修正
- アプリケーション選択プラグインが正しく動作しない不具合を修正。
- モジュール名が同一のプラグインの読み込みに失敗する不具合を修正。
- 操作途中に対象ウィンドウのタイトルが変更された場合に操作が失敗する事がある問題を修正。

------------------------------------------------------------------------
Date: 2020/07/21
Version: 1.4

# 機能追加
- アプリケーション起動プラグインを追加。

# 不具合修正
- 多重でポップアップ表示される操作が正常に動作しない問題を修正。
- Shiftキーを使用した文字選択が正常に動作しない問題を修正。
- 特殊なメニューバー等を使用する操作が正常に動作しない問題を修正。

------------------------------------------------------------------------
Date: 2020/06/18
Version: 1.3

# 機能追加
- マウス及びキーボード操作の追加機能を追加。
- マウス操作編集画面で画像から操作位置を設定する機能を追加。
- マウス操作編集画面で再生時にスクリーンショットの撮影を行う機能を追加。

# 機能修正
- 右クリックメニューにアイコンを表示するよう修正。
- 操作プランがマウス右ボタン押下状態で終了した場合等、押下状態が残ってしまうような動作を修正。

# 不具合修正
- 一部のダイアログで高DPIモニター使用時に表示が小さくなっていた問題を修正。
- 右クリックメニューで高DPIモニター使用時に表示が小さくなっていた問題を修正。
- マウス中ボタン、拡張1ボタン、拡張2ボタンの操作名称が正しく表示されていなかった問題を修正。
- 操作を選択後、選択をキャンセルした場合に削除ボタンが無効とならない問題を修正。
- キーボード操作とマウス操作で待機時間の挙動が異なっていた問題を修正。
- キーボード操作の編集時、設定値に問題があっても登録出来てしまう問題を修正。

------------------------------------------------------------------------
Date: 2020/05/15
Version: 1.2

# 機能追加
- マウス及びキーボード操作の編集機能を追加。

# 機能修正
- バージョン情報ダイアログの軽微なレイアウト修正。
- マウス移動の軌跡変更を行えるよう操作リストをツリー表示化。

# 機能削除
- 編集画面から変更可能となった為、右クリックメニューでの待機時間増減機能を削除。

# 不具合修正
- 高DPIモニターで起動した場合に全体的に小さく表示されていた問題を修正。

------------------------------------------------------------------------
Date: 2020/04/15
Version: 1.1

# 機能追加
- ファイルドロップによる操作プランファイルの読み込みに対応。
- 操作プランの変更状態を可視化。変更されている場合操作プランタブに * が付与される。
- 操作プランの変更中に操作プランを閉じる、またはClickerAceの終了時に警告を表示する機能を実装。
- 操作プラン変更のUndo/Redo機能を実装。

# 不具合修正
- 記録操作中にClickerAceバージョン情報を開いた際にエラーが発生する問題を修正。

------------------------------------------------------------------------
Date: 2020/03/16
Version: 1.0

- 初回リリース
